Edits which hit the condition limit should be tagged
Closed, ResolvedPublic

Description

The Abuse Filter occasionally stops handling specific edits because it reached the condition limit. It should be possible to see which edits these are - both because they didn't pass the scrutiny of all the filters (and are likely to be problematic), and to allow the Abuse Filter managers to find the expensive filters which cause these.

Details

Reference
bz69492
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz69492.
bzimport added a subscriber: Unknown Object (MLST).
werdna removed a subscriber: werdna.Dec 10 2014, 5:45 PM
He7d3r updated the task description. (Show Details)Jun 18 2015, 8:22 PM
He7d3r added a project: Performance.
He7d3r set Security to None.
Dalba awarded a token.Apr 9 2016, 7:33 AM
Dalba added a subscriber: Dalba.
He7d3r added a subscriber: He7d3r.Oct 17 2016, 2:09 PM

Change 339927 had a related patch set (by Matěj Suchánek) published:
[mediawiki/extensions/AbuseFilter@master] Tag actions which hit the condition limit

https://gerrit.wikimedia.org/r/339927

Change 339927 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Tag actions which hit the condition limit

https://gerrit.wikimedia.org/r/339927

Huji closed this task as Resolved.Mar 6 2018, 2:11 AM
Huji removed a project: Patch-For-Review.
Nirmos added a subscriber: Nirmos.Mar 6 2018, 2:36 AM

Wow! If you have done what I think you have done, this deserves all the story points and user notices it can get! I'm very much looking forward to seeing this in action!

Huji added a subscriber: Huji.Mar 6 2018, 3:23 AM

Yeah, @matej_suchanek is good that way ;)

Johan added a subscriber: Johan.Mar 8 2018, 2:07 PM

@matej_suchanek How would you phrase this in Tech News?

He7d3r added a comment.Mar 8 2018, 2:55 PM

What about something like this:

Some edits have to be checked against too many conditions before they can trigger an abuse filter. If any filter is not executed for that reason, the edit will be [{{fullurl:Special:RecentChanges|tagfilter=abusefilter-condition-limit}} tagged] for further review.